<?PHP
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");


/***********************************************************/
/*   Nom des villes, départements, pays, et code postaux   */
/***********************************************************/

// Fonction qui renvoie la ville en fonction de l'ID
// avec contrôle ouverture de la base MySQL
function Retourneville_openId($id,$openfic)
{
	$ville_nom = "";
	if($openfic==TRUE)
	{
		$conn2 = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);
	}
	$rnom = "SELECT villes_nom FROM " .TBVILLES. " WHERE villes_id='".$id."'";
	$rsnom = mysql_query($rnom) or die(mysql_error());
	if (mysql_num_rows($rsnom) == 1) // Uniquement UN SEUL enregistrement !
	{
		if ($rowville = mysql_fetch_array($rsnom)) 
			extract ($rowville);
	}
	// mysql_free_result($rsnom);
	if ($openfic==TRUE)
		mysql_close($conn2);  
	$ville = str_majuscules($villes_nom);
	// Les villes de LYON, MARSEILLE, PARIS doivent être traitées à part (arrondissements)
	if (stristr($villes_nom,"LYON"))
		$ville="LYON";
	if (stristr($villes_nom,"MARSEILLE"))
		$ville="MARSEILLE";
	if (stristr($villes_nom,"PARIS"))
		$ville="PARIS";
	return $ville;
}

// Fonction qui renvoie le code postal en fonction de l'ID
// avec contrôle ouverture de la base MySQL
function Retournecp_openId($id,$openfic)
{
	$villes_cp = "";
	if ($openfic==TRUE)
	{
		$conn2 = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);
	}
	$rcp = "SELECT villes_cp FROM " .TBVILLES. " WHERE villes_id='".$id."'";
	$rscp = mysql_query($rcp) or die(mysql_error());
	if (mysql_num_rows($rscp) == 1) // Uniquement UN SEUL enregistrement !
	{
		if ($rowcp = mysql_fetch_array($rscp)) 
			extract ($rowcp);
	}
	// mysql_free_result($rscp);
	if ($openfic==TRUE)
		mysql_close($conn2);  
	return $villes_cp;
}

// Fonction qui renvoie le nom de pays en fonction du code pays
// avec contrôle ouverture de la base MySQL
function Retournepays_open($pays,$openfic,$lng='')
{
	global
		$_SESSION;
	if (trim($lng)=='') $lng=$_SESSION["lng"];
		
	$pays_nom = "";
	if ($openfic==TRUE)
	{
		$conn2 = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);
	}
	$rpays = "SELECT pays_nom FROM " .TBPAYS. " WHERE pays_code='".$pays."' AND pays_lng='".$lng."'";
	$rspays = mysql_query($rpays) or die(mysql_error());
	if (mysql_num_rows($rspays) == 1) // Uniquement UN SEUL enregistrement !
	{
		if ($rowpays = mysql_fetch_array($rspays)) 
			extract ($rowpays);
	}
	// mysql_free_result($rspays);
	if ($openfic==TRUE)
		mysql_close($conn2);  
	return $pays_nom;
}

// Fonction qui renvoie le département en fonction du code et du pays
// avec contrôle ouverture de la base MySQL
function Retournedep_open($dep,$pays,$openfic,$lng='')
{
	global
		$_SESSION;
	if (trim($lng)=='') $lng=$_SESSION["lng"];

	$dep_nom = "";
	if ($openfic==TRUE)
	{
		$conn2 = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);
	}
	$rdep="SELECT * FROM ".TBDEP." WHERE `dep_code`='".$dep."' AND `dep_codepays`='".$pays."' AND `dep_lng`='".$lng."'";
	$rsdep = mysql_query($rdep) or die(mysql_error());
	if (mysql_num_rows($rsdep) == 1) // Uniquement UN SEUL enregistrement !
	{
		if ($rowdep = mysql_fetch_array($rsdep)) 
		{
			extract ($rowdep);
		}
	}
	if ($openfic==TRUE)
		mysql_close($conn2);  
	return $dep_nom;
}

// Vérifie si un code département (dans un pays donné) est utilisé
function dep_in_pays_used($code,$pays,$openfic)
{
	$exist=FALSE;

	if ($openfic==TRUE)
	{
		$conn2 = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);
	}

	// Vérifie si utilisé dans une fiche agence
	$rexist = "SELECT * FROM `" .TBAGE. "` WHERE `age_dep` = '$code' AND `age_codepays` = '$pays'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche centre de gestion
	$rexist = "SELECT * FROM `" .TBCG. "` WHERE `cge_dep` = '$code' AND `cge_codepays` = '$pays'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche dépôt de location
	$rexist = "SELECT * FROM `" .TBDLOC. "` WHERE `dloc_dep` = '$code' AND `dloc_codepays` = '$pays'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche opérateur
	$rexist = "SELECT * FROM `" .TBOPE. "` WHERE `ope_dep` = '$code' AND `ope_codepays` = '$pays'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche sous-traitant
	$rexist = "SELECT * FROM `" .TBST. "` WHERE `st_dep` = '$code' AND `st_codepays` = '$pays'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche client
	$rexist = "SELECT * FROM `" .TBCLI. "` WHERE `cli_dep` = '$code' AND `cli_codepays` = '$pays'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche demande
	$rexist = "SELECT * FROM `" .TBDDE. "` WHERE `dde_dep` = '$code' AND `dde_codepays` = '$pays'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche donneur d'ordre
	$rexist = "SELECT * FROM `" .TBDO. "` WHERE `do_dep` = '$code' AND `do_codepays` = '$pays'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche zone de chalandise
	$rexist = "SELECT * FROM `" .TBZCC. "` WHERE `zcc_codedep` = '$code' AND `zcc_codepays` = '$pays'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche zone de chalandise
	$rexist = "SELECT * FROM `" .TBZOC. "` WHERE `zoc_codedep` = '$code' AND `zoc_codepays` = '$pays'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche marque
	$rexist = "SELECT * FROM `" .TBMQUE. "` WHERE `mque_dep` = '$code' AND `mque_codepays` = '$pays'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche site client
	$rexist = "SELECT * FROM `" .TBSCLI. "` WHERE `scli_dep` = '$code' AND `scli_codepays` = '$pays'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche technicien
	$rexist = "SELECT * FROM `" .TBTEC. "` WHERE `tec_dep` = '$code' AND `tec_codepays` = '$pays'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche ville
	$rexist = "SELECT * FROM `" .TBVILLES. "` WHERE `villes_dep` = '$code' AND `villes_codepays` = '$pays'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	mysql_free_result($rs);
	if ($openfic==TRUE)
		mysql_close($conn2);  

	return $exist;		
}

// Vérifie si un code pays est utilisé
function pays_used($code,$openfic)
{
	$exist=FALSE;

	if ($openfic==TRUE)
	{
		$conn2 = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);
	}

	// Vérifie si utilisé dans une fiche agence
	$rexist = "SELECT * FROM `" .TBAGE. "` WHERE `age_codepays` = '$code'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche centre de gestion
	$rexist = "SELECT * FROM `" .TBCG. "` WHERE `cge_codepays` = '$code'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche dépôt de location
	$rexist = "SELECT * FROM `" .TBDLOC. "` WHERE `dloc_codepays` = '$code'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche opérateur
	$rexist = "SELECT * FROM `" .TBOPE. "` WHERE `ope_codepays` = '$code'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche sous-traitant
	$rexist = "SELECT * FROM `" .TBST. "` WHERE `st_codepays` = '$code'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche client
	$rexist = "SELECT * FROM `" .TBCLI. "` WHERE `cli_codepays` = '$code'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche demande
	$rexist = "SELECT * FROM `" .TBDDE. "` WHERE `dde_codepays` = '$code'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche donneur d'ordre
	$rexist = "SELECT * FROM `" .TBDO. "` WHERE `do_codepays` = '$code'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche zone de chalandise
	$rexist = "SELECT * FROM `" .TBZCC. "` WHERE `zcc_codepays` = '$code'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche zone de chalandise
	$rexist = "SELECT * FROM `" .TBZOC. "` WHERE `zoc_codepays` = '$code'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche marque
	$rexist = "SELECT * FROM `" .TBMQUE. "` WHERE `mque_codepays` = '$code'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche site client
	$rexist = "SELECT * FROM `" .TBSCLI. "` WHERE `scli_codepays` = '$code'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche technicien
	$rexist = "SELECT * FROM `" .TBTEC. "` WHERE `tec_codepays` = '$code'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche ville
	$rexist = "SELECT * FROM `" .TBVILLES. "` WHERE `villes_codepays` = '$code'";
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	mysql_free_result($rs);
	if ($openfic==TRUE)
		mysql_close($conn2);  

	return $exist;		
}

// Vérifie si un id ville pays est utilisé
function ville_used($id,$openfic)
{
	$exist=FALSE;

	if ($openfic==TRUE)
	{
		$conn2 = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);
	}

	// Vérifie si utilisé dans une fiche agence
	$rexist = "SELECT * FROM `" .TBAGE. "` WHERE `age_ville` = ".$id;
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche centre de gestion
	$rexist = "SELECT * FROM `" .TBCG. "` WHERE `cge_ville` = ".$id;
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche dépôt de location
	$rexist = "SELECT * FROM `" .TBDLOC. "` WHERE `dloc_ville` = ".$id;
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche opérateur
	$rexist = "SELECT * FROM `" .TBOPE. "` WHERE `ope_ville` = ".$id;
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche sous-traitant
	$rexist = "SELECT * FROM `" .TBST. "` WHERE `st_ville` = ".$id;
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche client
	$rexist = "SELECT * FROM `" .TBCLI. "` WHERE `cli_ville` = ".$id;
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche demande
	$rexist = "SELECT * FROM `" .TBDDE. "` WHERE `dde_ville` = ".$id;
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche donneur d'ordre
	$rexist = "SELECT * FROM `" .TBDO. "` WHERE `do_ville` = ".$id;
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche marque
	$rexist = "SELECT * FROM `" .TBMQUE. "` WHERE `mque_ville` = ".$id;
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche site client
	$rexist = "SELECT * FROM `" .TBSCLI. "` WHERE `scli_ville` = ".$id;
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	// Vérifie si utilisé dans une fiche technicien
	$rexist = "SELECT * FROM `" .TBTEC. "` WHERE `tec_ville` = ".$id;
	$rs = mysql_query($rexist) or die(mysql_error());
	if (mysql_num_rows($rs) <> 0)
		return TRUE;
	
	mysql_free_result($rs);
	if ($openfic==TRUE)
		mysql_close($conn2);  

	return $exist;		
}
?>